Bug 450979 - encoding_mark_active: assertion failed: (key == encoding->charset)
encoding_mark_active: assertion failed: (key == encoding->charset)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 21:27 EDT by Lennart Poettering
Modified: 2008-07-08 12:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 12:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-06-11 21:27:19 EDT
gnome-terminal crashes immediately on startup:

**
** ERROR:(encoding.c:267):encoding_mark_active: assertion failed: (key ==
encoding->charset)
Aborted

Sounds like a locale/charset issue to me, so here are my locale settings:

LANG="de_DE@euro"
LC_MESSAGES="C"
G_FILENAME_ENCODING="ISO-8859-15"

Newest Rawhide, gnome-terminal-2.23.3.1-1.fc10.x86_64
Comment 1 Lennart Poettering 2008-06-15 09:02:55 EDT
BTW, this seems indeed to be related to locale stuff. If I set LANG to
de_DE.UTF-8 everything works fine. You can probably easily reproduce this bug.
make sure g-t is not running and then start from xterm or so g-t like this:

$ LANG=de_DE@euro gnome-terminal
**
** ERROR:(encoding.c:267):encoding_mark_active: assertion failed: (key ==
encoding->charset)
Aborted
Comment 2 John Poelstra 2008-07-04 00:09:54 EDT
triaged
Comment 3 Behdad Esfahbod 2008-07-04 14:18:22 EDT
WorksForMe.  Guess a bad setting left in gconf or something...
Comment 4 Matthias Clasen 2008-07-08 12:18:06 EDT
should be fixed in 2.23.4.2

Note You need to log in before you can comment on or make changes to this bug.